<?php
include "../config.php";
include "classes.php";

$condX = $_REQUEST['condX'];
$conX = $_REQUEST['conX'];
$tblX = $_REQUEST['tblX'];
$spcX = "1=1";
$choclatecondX = $_REQUEST['choclatecondX'];
$trendStatus = $_REQUEST['trendStatus'];
$trendcondX = $_REQUEST['trendcondX'];

if($conX==1)
{    
    $condX="1=1";   
}

if($trendStatus=='false')
{
    $trendsValue = [];

    $recordCounter1 = new RecordCounter1($conn,$condX,$tblX,$spcX,$choclatecondX,$trendStatus,$trendsValue);
    $recordCounter2 = new RecordCounter2($conn,$condX,$tblX,$spcX,$choclatecondX,$trendStatus,$trendsValue);
    $recordCounter3 = new RecordCounter3($conn,$condX,$tblX,$spcX,$choclatecondX,$trendStatus,$trendsValue);
    $recordCounter4 = new RecordCounter4($conn,$condX,$tblX,$spcX,$trendStatus,$trendsValue);
    
    $data['CL_C0'] = $recordCounter4->countRecords4('CL_C0', range(1,2));
    $data['CL_C1'] = $recordCounter1->countRecords1('CL_C1', array(1,2,3,98));
    $data['CL_C4c'] = $recordCounter2->countRecords2('CL_C4c', array(1,2,3,4,5,6,7,98));
    $data['CL_C7'] = $recordCounter1->countRecords1('CL_C7', range(1,2));
    $data['CL_C8'] = $recordCounter1->countRecords1('CL_C8', array(1,2,3,4,5,99));
    $data['CL_C9'] = $recordCounter1->countRecords1('CL_C9', array(1,2,3,4,5,6,7,59));
    $data['CL_C10'] = $recordCounter1->countRecords1('CL_C10', array(1,2,3,4,98));
    $data['CL_C11'] = $recordCounter2->countRecords2('CL_C11', range(1,7));
    $data['CL_C12'] = $recordCounter1->countRecords1('CL_C12', array(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,98));
    $data['CL_C15'] = $recordCounter1->countRecords1('CL_C15', array(1,2,3));
    $data['CL_C16'] = $recordCounter3->countRecords3('CL_C16', range(1,9));
    $data['CL_C17'] = $recordCounter1->countRecords1('CL_C17', range(1,3));
    $data['CL_C18'] = $recordCounter1->countRecords1('CL_C18', array(1,2,3,4,98,99));
    $data['CL_C19'] = $recordCounter2->countRecords2('CL_C19', array(1,2,3,4,5,6,7,8,9,10,98,99));
    $data['CL_C20'] = $recordCounter1->countRecords1('CL_C20', array(1,2,3));
    
    $data['S13_11'] = $recordCounter1->countRecords1('S13_11', array(1,2,3,4,5,6,7));

}
else{
    
    $trendsValue = [1,2,3,4,90,91];

    $recordCounter1 = new RecordCounter1($conn,$condX,$tblX,$spcX,$choclatecondX,$trendStatus,$trendsValue);
    $recordCounter2 = new RecordCounter2($conn,$condX,$tblX,$spcX,$choclatecondX,$trendStatus,$trendsValue);
    $recordCounter3 = new RecordCounter3($conn,$condX,$tblX,$spcX,$choclatecondX,$trendStatus,$trendsValue);
    $recordCounter4 = new RecordCounter4($conn,$condX,$tblX,$spcX,$trendStatus,$trendsValue);
    
    $data['CL_C0'] = $recordCounter4->countRecords4('CL_C0', range(1,2));
    $data['CL_C1'] = $recordCounter1->countRecords1('CL_C1', array(1,2,3,98));
    $data['CL_C4c'] = $recordCounter2->countRecords2('CL_C4c', array(1,2,3,4,5,6,7,98));
    $data['CL_C7'] = $recordCounter1->countRecords1('CL_C7', range(1,2));
    $data['CL_C8'] = $recordCounter1->countRecords1('CL_C8', array(1,2,3,4,5,99));
    $data['CL_C9'] = $recordCounter1->countRecords1('CL_C9', array(1,2,3,4,5,6,7,59));
    $data['CL_C10'] = $recordCounter1->countRecords1('CL_C10', array(1,2,3,4,98));
    $data['CL_C11'] = $recordCounter2->countRecords2('CL_C11', range(1,7));
    $data['CL_C12'] = $recordCounter1->countRecords1('CL_C12', array(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,98));
    $data['CL_C15'] = $recordCounter1->countRecords1('CL_C15', array(1,2,3));
    $data['CL_C16'] = $recordCounter3->countRecords3('CL_C16', range(1,9));
    $data['CL_C17'] = $recordCounter1->countRecords1('CL_C17', range(1,3));
    $data['CL_C18'] = $recordCounter1->countRecords1('CL_C18', array(1,2,3,4,98,99));
    $data['CL_C19'] = $recordCounter2->countRecords2('CL_C19', array(1,2,3,4,5,6,7,8,9,10,98,99));
    $data['CL_C20'] = $recordCounter1->countRecords1('CL_C20', array(1,2,3));
    
    $data['S13_11'] = $recordCounter1->countRecords1('S13_11', array(1,2,3,4,5,6,7));
    
}
echo json_encode($data);

?>